NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::MirrorBuilder Class Reference

Represents a NXOpen::Features::Mirror builder. More...

Inheritance diagram for NXOpen::Features::MirrorBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  CsysMirrorOptions { CsysMirrorOptionsMirrorXAndY, CsysMirrorOptionsMirrorYAndZ, CsysMirrorOptionsMirrorZAndX }
 the Coordinate System mirror options More...
 

Public Member Functions

void ClearReferencesToReuse ()
 Clears all the existing references to reuse so that new references can be added
Created in NX8.0.1. More...
 
NXOpen::Features::MirrorBuilder::CsysMirrorOptions CsysMirrorOption ()
 Returns the Coordinate System mirroring option
Created in NX8.0.1. More...
 
NXOpen::Features::SelectFeatureListFeatureList ()
 Returns the Features to Mirror
Created in NX8.0.1. More...
 
bool MaintainHelixHandedness ()
 Returns the option to maintain Helix feature handedness. More...
 
bool MaintainThreadHandedness ()
 Returns the option to maintain symbolic thread handedness. More...
 
NXOpen::GeometricUtilities::PatternDefinitionPatternService ()
 Returns the NXOpen::GeometricUtilities::PatternDefinition object
Created in NX8.0.1. More...
 
NXOpen::PointReferencePoint ()
 Returns the reference point
More...
 
NXOpen::GeometricUtilities::PatternReferencePointServiceBuilderReferencePointService ()
 Returns the reference point service
Created in NX9.0.0. More...
 
void SetCsysMirrorOption (NXOpen::Features::MirrorBuilder::CsysMirrorOptions csysOption)
 Sets the Coordinate System mirroring option
Created in NX8.0.1. More...
 
void SetMaintainHelixHandedness (bool maintainHelixHandedness)
 Sets the option to maintain Helix feature handedness. More...
 
void SetMaintainThreadHandedness (bool maintainThreadHandedness)
 Sets the option to maintain symbolic thread handedness. More...
 
void SetReferencePoint (NXOpen::Point *referencePoint)
 Sets the reference point
More...
 
void SetReferencesToReuse (NXOpen::Features::Feature *inputFeature, const std::vector< NXOpen::NXObject * > &referencesFromInputFeatures)
 Sets the references or selections from the input features which are to be reused for mirror. More...
 
void SetUseInferredReferencePoint (bool useInferredReferencePoint)
 Sets a flag to indicate whether to use reference point inferred from selected feature(s) or not. More...
 
bool UseInferredReferencePoint ()
 Returns a flag to indicate whether to use reference point inferred from selected feature(s) or not. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::Mirror builder.

Inputs to this class can be convergent objects.
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateMirrorBuilder
Default values.

Property Value

CsysMirrorOption

MirrorYAndZ

MaintainHelixHandedness

True

MaintainThreadHandedness

True

PatternService.AlongPathDefinition.XOnPathSpacing.NCopies.Value

2

PatternService.AlongPathDefinition.XOnPathSpacing.SpaceType

Offset

PatternService.AlongPathDefinition.XPathOption

Offset

PatternService.AlongPathDefinition.YDirectionOption

Section

PatternService.AlongPathDefinition.YOnPathSpacing.NCopies.Value

1

PatternService.AlongPathDefinition.YPathOption

Offset

PatternService.AlongPathDefinition.YSpacing.NCopies.Value

1

PatternService.AlongPathDefinition.YSpacing.PitchDistance.Value

10 (millimeters part), 1 (inches part)

PatternService.AlongPathDefinition.YSpacing.SpaceType

Offset

PatternService.AlongPathDefinition.YSpacing.SpanDistance.Value

100 (millimeters part), 10 (inches part)

PatternService.CircularDefinition.AngularSpacing.NCopies.Value

12

PatternService.CircularDefinition.AngularSpacing.PitchAngle.Value

30

PatternService.CircularDefinition.AngularSpacing.PitchDistance.Value

10 (millimeters part), 1 (inches part)

PatternService.CircularDefinition.AngularSpacing.SpaceType

Offset

PatternService.CircularDefinition.AngularSpacing.SpanAngle.Value

360 (millimeters part), 360 (inches part)

PatternService.CircularDefinition.AngularSpacing.UsePitchOption

Angle

PatternService.CircularDefinition.CreateLastStaggered

true

PatternService.CircularDefinition.HorizontalRef.RotationAngle.Value

0 (millimeters part), 0 (inches part)

PatternService.CircularDefinition.IncludeSeedToggle

true

PatternService.CircularDefinition.RadialSpacing.NCopies.Value

1

PatternService.CircularDefinition.StaggerType

None

PatternService.HelixDefinition.AnglePitch.Value

30

PatternService.HelixDefinition.CountOfInstances.Value

6

PatternService.HelixDefinition.DirectionType

Righthand

PatternService.HelixDefinition.DistancePitch.Value

10 (millimeters part), 0.4 (inches part)

PatternService.HelixDefinition.HelixPitch.Value

50 (millimeters part), 2 (inches part)

PatternService.HelixDefinition.HelixSpan.Value

100 (millimeters part), 4 (inches part)

PatternService.HelixDefinition.NumberOfTurns.Value

2

PatternService.HelixDefinition.SizeOption

CountAngleDistance

PatternService.PatternFill.FillMargin.Value

0 (millimeters part), 0 (inches part)

PatternService.PatternFill.FillOptions

None

PatternService.PatternFill.SimplifiedBoundaryToggle

False

PatternService.PatternOrientation.AlongOrientationOption

NormalToPath

PatternService.PatternOrientation.CircularOrientationOption

FollowPattern

PatternService.PatternOrientation.FollowFaceProjDirOption

PatternPlaneNormal

PatternService.PatternOrientation.GeneralOrientationOption

Fixed

PatternService.PatternOrientation.HelixOrientationOption

FollowPattern

PatternService.PatternOrientation.LinearOrientationOption

Fixed

PatternService.PatternOrientation.MirrorOrientationOption

FollowPattern

PatternService.PatternOrientation.OrientationOption

Fixed

PatternService.PatternOrientation.PolygonOrientationOption

FollowPattern

PatternService.PatternOrientation.SpiralOrientationOption

FollowPattern

PatternService.PatternType

Linear

PatternService.PolygonDefinition.NumberOfSides.Value

6

PatternService.PolygonDefinition.PolygonSizeOption

Inscribed

PatternService.PolygonDefinition.PolygonSpacing.NCopies.Value

4

PatternService.PolygonDefinition.PolygonSpacing.PitchDistance.Value

25 (millimeters part), 1 (inches part)

PatternService.PolygonDefinition.PolygonSpacing.SpaceType

Offset

PatternService.PolygonDefinition.PolygonSpacing.SpanAngle.Value

360

PatternService.PolygonDefinition.RadialSpacing.NCopies.Value

1

PatternService.PolygonDefinition.RadialSpacing.PitchDistance.Value

25 (millimeters part), 1 (inches part)

PatternService.PolygonDefinition.RadialSpacing.SpanDistance.Value

100 (millimeters part), 4 (inches part)

PatternService.RectangularDefinition.CreateLastStaggered

true

PatternService.RectangularDefinition.SimplifiedLayoutType

Square

PatternService.RectangularDefinition.StaggerType

None

PatternService.RectangularDefinition.XSpacing.NCopies.Value

2

PatternService.RectangularDefinition.YSpacing.NCopies.Value

1

PatternService.SpiralDefinition.DirectionType

Lefthand

PatternService.SpiralDefinition.NumberOfTurns.Value

1 (millimeters part), 1 (inches part)

PatternService.SpiralDefinition.RadialPitch.Value

50 (millimeters part), 2 (inches part)

PatternService.SpiralDefinition.SizeSpiralType

NumberOfTurns

PatternService.SpiralDefinition.TotalAngle.Value

360 (millimeters part), 360 (inches part)

UseInferredReferencePoint (deprecated)

True


Created in NX8.0.1.

Member Enumeration Documentation

the Coordinate System mirror options

Enumerator
CsysMirrorOptionsMirrorXAndY 

Mirror X and Y and derive Z.

CsysMirrorOptionsMirrorYAndZ 

Mirror Y and Z and derive X.

CsysMirrorOptionsMirrorZAndX 

Mirror X and Z and derive Y.

Member Function Documentation

void NXOpen::Features::MirrorBuilder::ClearReferencesToReuse ( )

Clears all the existing references to reuse so that new references can be added
Created in NX8.0.1.



License requirements : solid_modeling ("SOLIDS MODELING")

NXOpen::Features::MirrorBuilder::CsysMirrorOptions NXOpen::Features::MirrorBuilder::CsysMirrorOption ( )

Returns the Coordinate System mirroring option
Created in NX8.0.1.



License requirements : None

NXOpen::Features::SelectFeatureList* NXOpen::Features::MirrorBuilder::FeatureList ( )

Returns the Features to Mirror
Created in NX8.0.1.



License requirements : solid_modeling ("SOLIDS MODELING")

bool NXOpen::Features::MirrorBuilder::MaintainHelixHandedness ( )

Returns the option to maintain Helix feature handedness.

If 'true', right-handed Helix will be mirrored as right-handed, and left-handed Helix will be mirrored as left-handed. If 'false', right-handed Helix will be mirrored as left-handed, and left-handed Helix will be mirrored as right-handed.
Created in NX8.0.1.

License requirements : None

bool NXOpen::Features::MirrorBuilder::MaintainThreadHandedness ( )

Returns the option to maintain symbolic thread handedness.

If 'true', right-handed threads will be mirrored as right-handed, and left-handed threads will be mirrored as left-handed. If 'false', right-handed threads will be mirrored as left-handed, and left-handed threads will be mirrored as right-handed.
Created in NX8.0.1.

License requirements : None

NXOpen::GeometricUtilities::PatternDefinition* NXOpen::Features::MirrorBuilder::PatternService ( )

Returns the NXOpen::GeometricUtilities::PatternDefinition object
Created in NX8.0.1.



License requirements : None

NXOpen::Point* NXOpen::Features::MirrorBuilder::ReferencePoint ( )

Returns the reference point

Deprecated:
Deprecated in NX9.0.0.

Use GeometricUtilities::PatternReferencePointServiceBuilder::Point instead.


Created in NX8.0.1.

License requirements : None

NXOpen::GeometricUtilities::PatternReferencePointServiceBuilder* NXOpen::Features::MirrorBuilder::ReferencePointService ( )

Returns the reference point service
Created in NX9.0.0.



License requirements : None

void NXOpen::Features::MirrorBuilder::SetCsysMirrorOption ( NXOpen::Features::MirrorBuilder::CsysMirrorOptions  csysOption)

Sets the Coordinate System mirroring option
Created in NX8.0.1.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
csysOptioncsysoption
void NXOpen::Features::MirrorBuilder::SetMaintainHelixHandedness ( bool  maintainHelixHandedness)

Sets the option to maintain Helix feature handedness.

If 'true', right-handed Helix will be mirrored as right-handed, and left-handed Helix will be mirrored as left-handed. If 'false', right-handed Helix will be mirrored as left-handed, and left-handed Helix will be mirrored as right-handed.
Created in NX8.0.1.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
maintainHelixHandednessmaintainhelixhandedness
void NXOpen::Features::MirrorBuilder::SetMaintainThreadHandedness ( bool  maintainThreadHandedness)

Sets the option to maintain symbolic thread handedness.

If 'true', right-handed threads will be mirrored as right-handed, and left-handed threads will be mirrored as left-handed. If 'false', right-handed threads will be mirrored as left-handed, and left-handed threads will be mirrored as right-handed.
Created in NX8.0.1.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
maintainThreadHandednessmaintainthreadhandedness
void NXOpen::Features::MirrorBuilder::SetReferencePoint ( NXOpen::Point referencePoint)

Sets the reference point

Deprecated:
Deprecated in NX9.0.0.

Use GeometricUtilities::PatternReferencePointServiceBuilder::SetPoint instead.


Created in NX8.0.1.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
referencePointreferencepoint
void NXOpen::Features::MirrorBuilder::SetReferencesToReuse ( NXOpen::Features::Feature inputFeature,
const std::vector< NXOpen::NXObject * > &  referencesFromInputFeatures 
)

Sets the references or selections from the input features which are to be reused for mirror.

The references for reuse should belong to some input feature which needs to be specified while calling this API.
Created in NX8.0.1.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
inputFeatureinputfeature
referencesFromInputFeaturesreferencesfrominputfeatures
void NXOpen::Features::MirrorBuilder::SetUseInferredReferencePoint ( bool  useInferredReferencePoint)

Sets a flag to indicate whether to use reference point inferred from selected feature(s) or not.

If 'true', the reference point will be inferred every time the selected feature(s) get modified or updates. If 'false, the reference point provided will be independent of the selected feature(s) but will be associative to the rule by which it was created (e.g. End of Line, Center of Arc).

Deprecated:
Deprecated in NX9.0.0. Use GeometricUtilities::PatternReferencePointServiceBuilder::SetReferencePointInferred instead.


Created in NX8.0.1.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
useInferredReferencePointuseinferredreferencepoint
bool NXOpen::Features::MirrorBuilder::UseInferredReferencePoint ( )

Returns a flag to indicate whether to use reference point inferred from selected feature(s) or not.

If 'true', the reference point will be inferred every time the selected feature(s) get modified or updates. If 'false, the reference point provided will be independent of the selected feature(s) but will be associative to the rule by which it was created (e.g. End of Line, Center of Arc).

Deprecated:
Deprecated in NX9.0.0. Use GeometricUtilities::PatternReferencePointServiceBuilder::IsReferencePointInferred instead.


Created in NX8.0.1.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.